%define module psycopg

%define zope_product_path %{_prefix}/lib/zope/lib/python/Products/

Summary:        PostgreSQL database adapter for Python
Name:           python-%module
Version:        1.1.21
Release:        %mkrel 15
Group:          Development/Python
License:        GPLv2+
URL:            http://www.initd.org/software/initd/psycopg
Source0:        http://initd.org/pub/software/psycopg/%{module}-%{version}.tar.bz2
Patch0:		psycopg-1.1.21-linkage.patch
BuildRequires:  python-devel
BuildRequires:  postgresql-devel
BuildRequires:  python-egenix-mx-base-devel
# for DateTime
Requires:       python-egenix-mx-base

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0

%build
%configure2_5x --with-python=%{__python} \
   --with-mxdatetime-includes=%{_includedir}/mx/DateTime/mxDateTime
%make

%install
rm -rf %buildroot
mkdir -p $RPM_BUILD_ROOT/%{python_sitearch}
install -m 755 psycopgmodule.so $RPM_BUILD_ROOT/%{python_sitearch}


%files
%doc AUTHORS  COPYING  CREDITS  FAQ  INSTALL  NEWS  README  RELEASE-1.0  SUCCESS  TODO doc
%{python_sitearch}/*.so


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1.21-15.mga4
+ Revision: 545333
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 1.1.21-14.mga4
+ Revision: 501165
- fix require and path for mxdatetime

* Sun Jan 13 2013 umeabot <umeabot> 1.1.21-13.mga3
+ Revision: 379287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 ahmad <ahmad> 1.1.21-12.mga2
+ Revision: 106358
- Drop the buildroot declaration and clean the spec a bit
- Fix the License tag
- imported package python-psycopg


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1.1.21-11mdv2011.0
+ Revision: 590003
- rebuild for python 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.1.21-10mdv2010.0
+ Revision: 442396
- rebuild

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 1.1.21-9mdv2009.1
+ Revision: 333736
- fix perm
- link against python

* Sat Jan 10 2009 Funda Wang <fwang@mandriva.org> 1.1.21-7mdv2009.1
+ Revision: 328018
- fix buid

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.21-4mdv2008.1
+ Revision: 136456
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 10 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.1.21-4mdv2008.0
+ Revision: 84030
- disable zope product


* Fri Feb 23 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.1.21-3mdv2007.0
+ Revision: 124887
- fix build on x86_64
- spec cleanup
- Import python-psycopg

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild for latest python and postgresql
    - Rebuild for latest python

* Tue Dec 13 2005 Michael Scherer <misc@mandriva.org> 1.1.21-2mdk
- fix Requires
- quiet setup

* Sat Nov 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.21-1mdk
- first contrib

